Subject: bug#41058: closed (Re: bug#41058: GNOME Maps fails to start in GNOME)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 29 Dec 2020 13:05:02 +0000

Your bug report

#41058: GNOME Maps fails to start in GNOME

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
41058: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=41058
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#41058: GNOME Maps fails to start in GNOME
From: Leo Prikler <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 29 Dec 2020 14:04:29 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Guix,

I've just pushed a variant of the patch I proposed as
a2d5f9f60d0f440e5d5ce1a1cc81743b27d6cede.  I tested it yesterday in a
VM; it should work.

Regards,
Leo 

Subject: core-updates: GNOME Maps doesn't start
From: sirgazil <[email-masked]>
To: "bug-guix" <[email-masked]>
Date: Sun, 03 May 2020 18:44:31 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

This happens in both master and core-updates, although I don't know if the former fails for the same reason. It also happens in both real machine and virtual machine.

## Steps to reproduce

Assuming you are using the Guix System with GNOME:

1. Go to Activities → Show Applications (nine dots button) → All
2. Click on Maps

## Expected result

GNOME Maps starts.

## Unexpected result

GNOME Maps does not starts. You see the GNOME Maps application menu loading next to the "Activities" button in the GNOME desktop for a few seconds, but the application never starts. 

## Additional information

In both, real and virtual machines, GNOME Maps starts when run from a terminal. It prints the following message though:

```
$ gnome-maps

(org.gnome.Maps:22887): Gjs-WARNING **: 13:35:50.971: JS ERROR: Gio.IOErrorEnum: Ya existe un objeto exportado para la interfaz org.gnome.Sysprof3.Profiler en /org/gtk/Profiler
vfunc_dbus_unregister@resource:///org/gnome/Maps/js/application.js:269:9
main@resource:///org/gnome/Maps/js/main.js:57:12
run@resource:///org/gnome/gjs/modules/package.js:222:12
start@resource:///org/gnome/gjs/modules/package.js:206:5
@/gnu/store/agrz0vryg6ipcz4qh3q1addwdiizbkrw-gnome-maps-3.34.2/share/gnome-maps/org.gnome.Maps:2:1
```

In both, real and virtual machines, GNOME Maps also starts when run from the minishell (Alt+F2 and type gnome-maps).

## System information

```
GNOME Maps 3.34.1

$ LANG=C guix describe
Generation 78	May 02 2020 18:00:20	(current)
  guix 7b07852
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: core-updates
    commit: 7b07852ddb334c92bcef69666f21c599f1f0fa79
  sirgazil-x ef6ac93
    repository URL: https://gitlab.com/sirgazil/guix-channel-x.git
    branch: master
    commit: ef6ac9331a7847fdec6f0eb199524b1b755ba0df
```

---
https://sirgazil.bitbucket.io/